PCI_REQUEST_REGIONS_(9)

NAME
pci_request_regions_exclusive - Reserved PCI I/O and memory resources

SYNOPSIS

int pci_request_regions_exclusive(struct pci_dev * pdev, const char * res_name);

ARGUMENTS

pdev
    PCI device whose resources are to be reserved

res_name
    Name to be associated with resource.

DESCRIPTION

Mark all PCI regions associated with PCI device pdev as being reserved by owner res_name. Do not access any address inside the PCI regions unless this call returns successfully.

pci_request_regions_exclusive will mark the region so that /dev/mem and the sysfs MMIO access will not be allowed.

Returns 0 on success, or EBUSY on error. A warning message is also printed on failure.

COPYRIGHT